Skip to navigation

List WorkflowOutput items

List WorkflowOutput items.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_task_idstringRequired
ID of the WorkflowTask.

Query parameters

archiveReason.anyOfstringOptional

Restricts items to those with any of the specified archive reasons. Use “NOT_ARCHIVED” to filter for unarchived items. Use “ANY_ARCHIVED” to filter for archived items regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived. Comma-separated list.

archived.anyOfbooleanOptional

If true, returns archived items. If false, returns unarchived items. If both true and false, returns archived and unarchived items. Comma-separated list.

createdAt.gtstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.

createdAt.gtestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or after the specified time. e.g. >= 2017-04-30.

createdAt.ltstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. < 2017-04-30.

createdAt.ltestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or before the specified time. e.g. <= 2017-04-30.

creator.anyOfstringOptional

Restricts results to those created by any of the specified user IDs. Comma-separated list.

id.anyOfstringOptional

Restricts results to those matching any of the specified IDs. Comma-separated list.

modifiedAt.gtstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified after the specified time. e.g. > 2017-04-30.

modifiedAt.gtestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or after the specified time. e.g. >= 2017-04-30.

modifiedAt.ltstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified before the specified time. e.g. < 2017-04-30.

modifiedAt.ltestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or before the specified time. e.g. <= 2017-04-30.

nextTokenstringOptional
Token for pagination
pageSizeintegerOptional
Number of results to return. Defaults to 50, maximum of 100.
schema.anyOfstringOptional

Restricts results to those that match any of the specified schema IDs. Use only one schema filter arg at a time. Comma-separated list.

schema.eqstringOptional

Single schema ID. Restricts results to those that match the specified schema exactly. Use only one schema filter arg at a time.

sortenumOptionalDefaults to modifiedAt:desc

Method by which to order results. Valid sorts are: createdAt (created time, oldest first) and modifiedAt (modified time, oldest first). Use :asc or :desc to specify ascending or descending order. Default is modifiedAt:desc.

Allowed values:

Response

OK
itemslist of objectsOptional
nextTokenstringOptional

Errors

400
Workflow Task Workflow Outputs List Request Bad Request Error
403
Workflow Task Workflow Outputs List Request Forbidden Error
404
Workflow Task Workflow Outputs List Request Not Found Error
429
Workflow Task Workflow Outputs List Request Too Many Requests Error
500
Workflow Task Workflow Outputs List Request Internal Server Error